Get Shipment
curl --request GET \
--url https://api.decodahealth.com/inventory/shipments/{id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/shipments/{id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/shipments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stockId": "<string>",
"supplierId": "<string>",
"locationId": "<string>",
"quantity": 123,
"remainingQuantity": 123,
"locationName": "<string>",
"id": "<string>",
"lotNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z",
"sku": "<string>",
"cost": 123,
"supplier": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"website": "<string>",
"email": "<string>",
"preferredContactMethod": "<string>",
"phoneNumber": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"isArchived": false
},
"createdDate": "2023-11-07T05:31:56Z",
"note": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Purchasing
Get Shipment
Get a shipment by ID.
GET
/
inventory
/
shipments
/
{id}
Get Shipment
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
ID of the stock
ID of the supplier
ID of the location where the shipment was delivered
Total quantity
Remaining quantity
Get the location name from the related location object
Unique identifier for the shipment
Optional lot number of the shipment
Optional expiry date of the shipment
Optional SKU (Stock Keeping Unit)
Cost of the shipment in cents
Optional supplier details
Show child attributes
Show child attributes
Date and time the shipment was created
Optional note for inventory log when updating shipment

